Gentoo Archives: gentoo-commits

From: "Matt Turner (mattst88)" <mattst88@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in media-libs/mesa: mesa-10.2.8.ebuild ChangeLog
Date: Mon, 22 Sep 2014 19:15:58
Message-Id: 20140922191554.D5A1F5F38@oystercatcher.gentoo.org
1 mattst88 14/09/22 19:15:54
2
3 Modified: ChangeLog
4 Added: mesa-10.2.8.ebuild
5 Log:
6 Version bump to 10.2.8
7
8 (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 974CA72A)
9
10 Revision Changes Path
11 1.574 media-libs/mesa/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/ChangeLog?rev=1.574&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/ChangeLog?rev=1.574&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/ChangeLog?r1=1.573&r2=1.574
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/media-libs/mesa/ChangeLog,v
20 retrieving revision 1.573
21 retrieving revision 1.574
22 diff -u -r1.573 -r1.574
23 --- ChangeLog 16 Sep 2014 17:23:19 -0000 1.573
24 +++ ChangeLog 22 Sep 2014 19:15:54 -0000 1.574
25 @@ -1,6 +1,11 @@
26 # ChangeLog for media-libs/mesa
27 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/ChangeLog,v 1.573 2014/09/16 17:23:19 chithanh Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/ChangeLog,v 1.574 2014/09/22 19:15:54 mattst88 Exp $
30 +
31 +*mesa-10.2.8 (22 Sep 2014)
32 +
33 + 22 Sep 2014; Matt Turner <mattst88@g.o> +mesa-10.2.8.ebuild:
34 + Version bump to 10.2.8
35
36 16 Sep 2014; Chí-Thanh Christopher Nguyễn <chithanh@g.o>
37 mesa-10.2.7.ebuild:
38
39
40
41 1.1 media-libs/mesa/mesa-10.2.8.ebuild
42
43 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/mesa-10.2.8.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/mesa/mesa-10.2.8.ebuild?rev=1.1&content-type=text/plain
45
46 Index: mesa-10.2.8.ebuild
47 ===================================================================
48 # Copyright 1999-2014 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-10.2.8.ebuild,v 1.1 2014/09/22 19:15:54 mattst88 Exp $
51
52 EAPI=5
53
54 EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
55
56 if [[ ${PV} = 9999* ]]; then
57 GIT_ECLASS="git-r3"
58 EXPERIMENTAL="true"
59 fi
60
61 PYTHON_COMPAT=( python{2_6,2_7} )
62
63 inherit base autotools multilib multilib-minimal flag-o-matic \
64 python-any-r1 toolchain-funcs pax-utils ${GIT_ECLASS}
65
66 OPENGL_DIR="xorg-x11"
67
68 MY_PN="${PN/m/M}"
69 MY_P="${MY_PN}-${PV/_/-}"
70 MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
71
72 FOLDER="${PV/.0_rc*/}"
73
74 DESCRIPTION="OpenGL-like graphic library for Linux"
75 HOMEPAGE="http://mesa3d.sourceforge.net/"
76
77 #SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
78 if [[ $PV = 9999* ]]; then
79 SRC_URI="${SRC_PATCHES}"
80 else
81 SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
82 ${SRC_PATCHES}"
83 fi
84
85 # The code is MIT/X11.
86 # GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
87 LICENSE="MIT SGI-B-2.0"
88 SLOT="0"
89 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
90
91 INTEL_CARDS="i915 i965 ilo intel"
92 RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
93 VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vmware"
94 for card in ${VIDEO_CARDS}; do
95 IUSE_VIDEO_CARDS+=" video_cards_${card}"
96 done
97
98 IUSE="${IUSE_VIDEO_CARDS}
99 bindist +classic debug +dri3 +egl +gallium +gbm gles1 gles2 +llvm +nptl
100 opencl openvg osmesa pax_kernel openmax pic r600-llvm-compiler selinux
101 vdpau wayland xvmc xa kernel_FreeBSD"
102
103 REQUIRED_USE="
104 llvm? ( gallium )
105 openvg? ( egl gallium )
106 opencl? (
107 gallium
108 video_cards_r600? ( r600-llvm-compiler )
109 video_cards_radeon? ( r600-llvm-compiler )
110 video_cards_radeonsi? ( r600-llvm-compiler )
111 )
112 openmax? ( gallium )
113 gles1? ( egl )
114 gles2? ( egl )
115 r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeonsi video_cards_radeon ) )
116 wayland? ( egl gbm )
117 xa? ( gallium )
118 video_cards_freedreno? ( gallium )
119 video_cards_intel? ( || ( classic gallium ) )
120 video_cards_i915? ( || ( classic gallium ) )
121 video_cards_i965? ( classic )
122 video_cards_ilo? ( gallium )
123 video_cards_nouveau? ( || ( classic gallium ) )
124 video_cards_radeon? ( || ( classic gallium ) )
125 video_cards_r100? ( classic )
126 video_cards_r200? ( classic )
127 video_cards_r300? ( gallium )
128 video_cards_r600? ( gallium )
129 video_cards_radeonsi? ( gallium llvm )
130 video_cards_vmware? ( gallium )
131 ${PYTHON_REQUIRED_USE}
132 "
133
134 LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.54"
135 # keep correct libdrm and dri2proto dep
136 # keep blocks in rdepend for binpkg
137 RDEPEND="
138 !<x11-base/xorg-server-1.7
139 !<=x11-proto/xf86driproto-2.0.3
140 abi_x86_32? ( !app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)] )
141 classic? ( app-admin/eselect-mesa )
142 gallium? ( app-admin/eselect-mesa )
143 >=app-admin/eselect-opengl-1.2.7
144 >=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
145 gbm? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
146 dri3? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
147 >=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
148 >=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
149 >=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
150 >=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
151 >=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
152 >=x11-libs/libxcb-1.9.3:=[${MULTILIB_USEDEP}]
153 llvm? (
154 video_cards_radeonsi? ( || (
155 >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
156 >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
157 ) )
158 video_cards_r600? ( || (
159 >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
160 >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
161 ) )
162 !video_cards_r600? (
163 video_cards_radeon? ( || (
164 >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
165 >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
166 ) )
167 )
168 >=sys-devel/llvm-3.3-r3:=[${MULTILIB_USEDEP}]
169 )
170 opencl? (
171 app-admin/eselect-opencl
172 dev-libs/libclc
173 )
174 openmax? ( >=media-libs/libomxil-bellagio-0.9.3:=[${MULTILIB_USEDEP}] )
175 vdpau? ( >=x11-libs/libvdpau-0.7:=[${MULTILIB_USEDEP}] )
176 wayland? ( >=dev-libs/wayland-1.2.0:=[${MULTILIB_USEDEP}] )
177 xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
178 ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vmware?,${MULTILIB_USEDEP}]
179 "
180 for card in ${INTEL_CARDS}; do
181 RDEPEND="${RDEPEND}
182 video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
183 "
184 done
185
186 for card in ${RADEON_CARDS}; do
187 RDEPEND="${RDEPEND}
188 video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
189 "
190 done
191
192 DEPEND="${RDEPEND}
193 ${PYTHON_DEPS}
194 llvm? (
195 r600-llvm-compiler? ( sys-devel/llvm[video_cards_radeon] )
196 video_cards_radeonsi? ( sys-devel/llvm[video_cards_radeon] )
197 )
198 opencl? (
199 >=sys-devel/llvm-3.3-r3:=[${MULTILIB_USEDEP}]
200 >=sys-devel/clang-3.3:=[${MULTILIB_USEDEP}]
201 >=sys-devel/gcc-4.6
202 )
203 sys-devel/bison
204 sys-devel/flex
205 sys-devel/gettext
206 virtual/pkgconfig
207 >=x11-proto/dri2proto-2.8-r1:=[${MULTILIB_USEDEP}]
208 dri3? (
209 >=x11-proto/dri3proto-1.0:=[${MULTILIB_USEDEP}]
210 >=x11-proto/presentproto-1.0:=[${MULTILIB_USEDEP}]
211 )
212 >=x11-proto/glproto-1.4.16-r1:=[${MULTILIB_USEDEP}]
213 >=x11-proto/xextproto-7.2.1-r1:=[${MULTILIB_USEDEP}]
214 >=x11-proto/xf86driproto-2.1.1-r1:=[${MULTILIB_USEDEP}]
215 >=x11-proto/xf86vidmodeproto-2.3.1-r1:=[${MULTILIB_USEDEP}]
216 "
217
218 S="${WORKDIR}/${MY_P}"
219 EGIT_CHECKOUT_DIR=${S}
220
221 # It is slow without texrels, if someone wants slow
222 # mesa without texrels +pic use is worth the shot
223 QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
224 QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
225
226 # Think about: ggi, fbcon, no-X configs
227
228 pkg_setup() {
229 # workaround toc-issue wrt #386545
230 use ppc64 && append-flags -mminimal-toc
231
232 # warning message for bug 459306
233 if use llvm && has_version sys-devel/llvm[!debug=]; then
234 ewarn "Mismatch between debug USE flags in media-libs/mesa and sys-devel/llvm"
235 ewarn "detected! This can cause problems. For details, see bug 459306."
236 fi
237
238 python-any-r1_pkg_setup
239 }
240
241 src_unpack() {
242 default
243 [[ $PV = 9999* ]] && git-r3_src_unpack
244 }
245
246 src_prepare() {
247 # apply patches
248 if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
249 EPATCH_FORCE="yes" \
250 EPATCH_SOURCE="${WORKDIR}/patches" \
251 EPATCH_SUFFIX="patch" \
252 epatch
253 fi
254
255 # relax the requirement that r300 must have llvm, bug 380303
256 epatch "${FILESDIR}"/${PN}-10.2-dont-require-llvm-for-r300.patch
257
258 # fix for hardened pax_kernel, bug 240956
259 [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
260
261 # Solaris needs some recent POSIX stuff in our case
262 if [[ ${CHOST} == *-solaris* ]] ; then
263 sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
264 fi
265
266 base_src_prepare
267
268 eautoreconf
269 multilib_copy_sources
270 }
271
272 multilib_src_configure() {
273 local myconf
274
275 if use classic; then
276 # Configurable DRI drivers
277 driver_enable swrast
278
279 # Intel code
280 driver_enable video_cards_i915 i915
281 driver_enable video_cards_i965 i965
282 if ! use video_cards_i915 && \
283 ! use video_cards_i965; then
284 driver_enable video_cards_intel i915 i965
285 fi
286
287 # Nouveau code
288 driver_enable video_cards_nouveau nouveau
289
290 # ATI code
291 driver_enable video_cards_r100 radeon
292 driver_enable video_cards_r200 r200
293 if ! use video_cards_r100 && \
294 ! use video_cards_r200; then
295 driver_enable video_cards_radeon radeon r200
296 fi
297 fi
298
299 if use egl; then
300 myconf+="--with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm") "
301 fi
302
303 if use gallium; then
304 myconf+="
305 $(use_enable llvm gallium-llvm)
306 $(use_enable openvg)
307 $(use_enable openvg gallium-egl)
308 $(use_enable openmax omx)
309 $(use_enable r600-llvm-compiler)
310 $(use_enable vdpau)
311 $(use_enable xa)
312 $(use_enable xvmc)
313 "
314 gallium_enable swrast
315 gallium_enable video_cards_vmware svga
316 gallium_enable video_cards_nouveau nouveau
317 gallium_enable video_cards_i915 i915
318 gallium_enable video_cards_ilo ilo
319 if ! use video_cards_i915 && \
320 ! use video_cards_i965; then
321 gallium_enable video_cards_intel i915
322 fi
323
324 gallium_enable video_cards_r300 r300
325 gallium_enable video_cards_r600 r600
326 gallium_enable video_cards_radeonsi radeonsi
327 if ! use video_cards_r300 && \
328 ! use video_cards_r600; then
329 gallium_enable video_cards_radeon r300 r600
330 fi
331
332 gallium_enable video_cards_freedreno freedreno
333 # opencl stuff
334 if use opencl; then
335 myconf+="
336 $(use_enable opencl)
337 --with-opencl-libdir="${EPREFIX}/usr/$(get_libdir)/OpenCL/vendors/mesa"
338 --with-clang-libdir="${EPREFIX}/usr/lib"
339 "
340 fi
341 fi
342
343 # x86 hardened pax_kernel needs glx-rts, bug 240956
344 if use pax_kernel; then
345 myconf+="
346 $(use_enable x86 glx-rts)
347 "
348 fi
349
350 # on abi_x86_32 hardened we need to have asm disable
351 if [[ ${ABI} == x86* ]] && use pic; then
352 myconf+=" --disable-asm"
353 fi
354
355 # build fails with BSD indent, bug #428112
356 use userland_GNU || export INDENT=cat
357
358 econf \
359 --enable-dri \
360 --enable-glx \
361 --enable-shared-glapi \
362 $(use_enable !bindist texture-float) \
363 $(use_enable debug) \
364 $(use_enable dri3) \
365 $(use_enable egl) \
366 $(use_enable gbm) \
367 $(use_enable gles1) \
368 $(use_enable gles2) \
369 $(use_enable nptl glx-tls) \
370 $(use_enable osmesa) \
371 --enable-llvm-shared-libs \
372 --with-dri-drivers=${DRI_DRIVERS} \
373 --with-gallium-drivers=${GALLIUM_DRIVERS} \
374 PYTHON2="${PYTHON}" \
375 ${myconf}
376 }
377
378 multilib_src_install() {
379 emake install DESTDIR="${D}"
380
381 # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
382 # because user can eselect desired GL provider.
383 ebegin "Moving libGL and friends for dynamic switching"
384 local x
385 local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
386 dodir ${gl_dir}/{lib,extensions,include/GL}
387 for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
388 if [ -f ${x} -o -L ${x} ]; then
389 mv -f "${x}" "${ED}${gl_dir}"/lib \
390 || die "Failed to move ${x}"
391 fi
392 done
393 for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
394 if [ -f ${x} -o -L ${x} ]; then
395 mv -f "${x}" "${ED}${gl_dir}"/include/GL \
396 || die "Failed to move ${x}"
397 fi
398 done
399 for x in "${ED}"/usr/include/{EGL,GLES*,VG,KHR}; do
400 if [ -d ${x} ]; then
401 mv -f "${x}" "${ED}${gl_dir}"/include \
402 || die "Failed to move ${x}"
403 fi
404 done
405 eend $?
406
407 if use classic || use gallium; then
408 ebegin "Moving DRI/Gallium drivers for dynamic switching"
409 local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
410 keepdir /usr/$(get_libdir)/dri
411 dodir /usr/$(get_libdir)/mesa
412 for x in ${gallium_drivers[@]}; do
413 if [ -f "$(get_libdir)/gallium/${x}" ]; then
414 mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
415 || die "Failed to move ${x}"
416 fi
417 done
418 if use classic; then
419 emake -C "${BUILD_DIR}/src/mesa/drivers/dri" DESTDIR="${D}" install
420 fi
421 for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
422 if [ -f ${x} -o -L ${x} ]; then
423 mv -f "${x}" "${x/dri/mesa}" \
424 || die "Failed to move ${x}"
425 fi
426 done
427 pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
428 ln -s ../mesa/*.so . || die "Creating symlink failed"
429 # remove symlinks to drivers known to eselect
430 for x in ${gallium_drivers[@]}; do
431 if [ -f ${x} -o -L ${x} ]; then
432 rm "${x}" || die "Failed to remove ${x}"
433 fi
434 done
435 popd
436 eend $?
437 fi
438 if use opencl; then
439 ebegin "Moving Gallium/Clover OpenCL implementation for dynamic switching"
440 local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
441 dodir ${cl_dir}/{lib,include}
442 if [ -f "${ED}/usr/$(get_libdir)/libOpenCL.so" ]; then
443 mv -f "${ED}"/usr/$(get_libdir)/libOpenCL.so* \
444 "${ED}"${cl_dir}
445 fi
446 if [ -f "${ED}/usr/include/CL/opencl.h" ]; then
447 mv -f "${ED}"/usr/include/CL \
448 "${ED}"${cl_dir}/include
449 fi
450 eend $?
451 fi
452
453 if use openmax; then
454 echo "XDG_DATA_DIRS=\"${EPREFIX}/usr/share/mesa/xdg\"" > "${T}/99mesaxdgomx"
455 doenvd "${T}"/99mesaxdgomx
456 keepdir /usr/share/mesa/xdg
457 fi
458 }
459
460 multilib_src_install_all() {
461 prune_libtool_files --all
462 einstalldocs
463
464 if use !bindist; then
465 dodoc docs/patents.txt
466 fi
467
468 # Install config file for eselect mesa
469 insinto /usr/share/mesa
470 newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
471 }
472
473 multilib_src_test() {
474 if use llvm; then
475 local llvm_tests='lp_test_arit lp_test_arit lp_test_blend lp_test_blend lp_test_conv lp_test_conv lp_test_format lp_test_format lp_test_printf lp_test_printf'
476 pushd src/gallium/drivers/llvmpipe >/dev/null || die
477 emake ${llvm_tests}
478 pax-mark m ${llvm_tests}
479 popd >/dev/null || die
480 fi
481 emake check
482 }
483
484 pkg_postinst() {
485 # Switch to the xorg implementation.
486 echo
487 eselect opengl set --use-old ${OPENGL_DIR}
488
489 # switch to xorg-x11 and back if necessary, bug #374647 comment 11
490 OLD_IMPLEM="$(eselect opengl show)"
491 if [[ ${OPENGL_DIR}x != ${OLD_IMPLEM}x ]]; then
492 eselect opengl set ${OPENGL_DIR}
493 eselect opengl set ${OLD_IMPLEM}
494 fi
495
496 # Select classic/gallium drivers
497 if use classic || use gallium; then
498 eselect mesa set --auto
499 fi
500
501 # Switch to mesa opencl
502 if use opencl; then
503 eselect opencl set --use-old ${PN}
504 fi
505
506 # run omxregister-bellagio to make the OpenMAX drivers known system-wide
507 if use openmax; then
508 ebegin "Registering OpenMAX drivers"
509 BELLAGIO_SEARCH_PATH="${EPREFIX}/usr/$(get_libdir)/libomxil-bellagio0" \
510 OMX_BELLAGIO_REGISTRY=${EPREFIX}/usr/share/mesa/xdg/.omxregister \
511 omxregister-bellagio
512 eend $?
513 fi
514
515 # warn about patent encumbered texture-float
516 if use !bindist; then
517 elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
518 elog "enabled. Please see patents.txt for an explanation."
519 fi
520
521 local using_radeon r_flag
522 for r_flag in ${RADEON_CARDS}; do
523 if use video_cards_${r_flag}; then
524 using_radeon=1
525 break
526 fi
527 done
528
529 if [[ ${using_radeon} = 1 ]] && ! has_version media-libs/libtxc_dxtn; then
530 elog "Note that in order to have full S3TC support, it is necessary to install"
531 elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
532 elog "textures in some apps, and some others even require this to run."
533 fi
534 }
535
536 pkg_prerm() {
537 if use openmax; then
538 rm "${EPREFIX}"/usr/share/mesa/xdg/.omxregister
539 fi
540 }
541
542 # $1 - VIDEO_CARDS flag
543 # other args - names of DRI drivers to enable
544 # TODO: avoid code duplication for a more elegant implementation
545 driver_enable() {
546 case $# in
547 # for enabling unconditionally
548 1)
549 DRI_DRIVERS+=",$1"
550 ;;
551 *)
552 if use $1; then
553 shift
554 for i in $@; do
555 DRI_DRIVERS+=",${i}"
556 done
557 fi
558 ;;
559 esac
560 }
561
562 gallium_enable() {
563 case $# in
564 # for enabling unconditionally
565 1)
566 GALLIUM_DRIVERS+=",$1"
567 ;;
568 *)
569 if use $1; then
570 shift
571 for i in $@; do
572 GALLIUM_DRIVERS+=",${i}"
573 done
574 fi
575 ;;
576 esac
577 }